MCP Gateway
ApiAdmin sandboxes

Get Usage Summary

Get aggregated per-user usage summary for billing.

GET
/api/v1/admin/sandboxes/usage/summary

Authorization

User API Key
AuthorizationBearer <token>

User API key (mgw_usr_live_* or mgw_usr_test_*)

In: header

Query Parameters

since?|
until?|
access_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/admin/sandboxes/usage/summary"
{
  "items": [
    {
      "user_id": "string",
      "total_exec_count": 0,
      "total_exec_ms": 0,
      "total_bytes_uploaded": 0,
      "total_bytes_downloaded": 0,
      "sandbox_count": 0
    }
  ],
  "period_start": "string",
  "period_end": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}